version: "2"
sql:
  - engine: "postgresql"
    queries: "internal/database/queries"
    schema: "migrations"
    gen:
      go:
        package: "sqlc"
        out: "internal/database/sqlc"
        sql_package: "pgx/v5"
        emit_json_tags: true
        emit_prepared_queries: false
        emit_interface: true
        emit_exact_table_names: false
        emit_empty_slices: true
        overrides:
          - db_type: "pg_catalog.uuid"
            go_type: "github.com/google/uuid.UUID"
          - db_type: "geography"
            go_type: "string"
          - db_type: "geometry"
            go_type: "string"
